﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;

namespace pr296_1
{
    // Главный класс:
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Данные для записи в файл:
            int num = 123; // Целое число
            char symb = 'A'; // Символ
            double x = 2.5; // Действительное число
            string txt = "Hello, World!"; // Текст
            // Путь к файлу и его название:
            string file = "MyData.dat";
            Console.WriteLine("Запись данных в файл..."); 
            try { // Контролируемый код
                // Бинарный поток для записи данных в файл:
                BinaryWriter bw = new BinaryWriter(new FileStream(file, FileMode.Create));
                // Запись данных в файл:
                bw.Write(num);  // Целое число 
                bw.Write(symb); // Символ
                bw.Write(x);    // Действительное число 
                bw.Write(txt);  // Текст 
                // Поток закрывается: 
                bw.Close();
            }
            // Обработка исключений: 
            catch(Exception e) {
                Console.WriteLine("Ошибка записи в файл!");
                Console.WriteLine(e.Message);
                // Задержка:
                Console.ReadLine();
                return; // Завершение выполнения программы
            }
            Console.WriteLine("Создан файл \"{0}\"", file); 
            Console.WriteLine("Считывание данных из файла..."); 
            try { // Контролируемый код
                // Бинарный поток для считывания данных из файла:
                BinaryReader br = new BinaryReader(new FileStream(file, FileMode.Open)); 
                // Считывание данных из файла и отображение в 
                // консольном окне:
                Console.WriteLine(br.ReadInt32());  // Целое число 
                Console.WriteLine(br.ReadChar());   // Символ 
                Console.WriteLine(br.ReadDouble()); // Число 
                Console.WriteLine(br.ReadString()); // Текст 
                // Поток закрывается: 
                br.Close();
            }
            // Обработка исключений: 
            catch(Exception e){
                Console.WriteLine("Ошибка чтения файла!"); 
                Console.WriteLine(e.Message);
            }
            Console.WriteLine("Завершение программы...");
            // Задержка:
            Console.ReadLine();
        }
    }
}
